Bug 54568 - Root window bug on multihead display
Root window bug on multihead display
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xloadimage (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-12 12:40 EDT by Mark H Johnson
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 11:28:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2001-10-12 12:40:31 EDT
Description of Problem:
We have a current system with three displays - a different background
image on each display. We are replacing it with a Linux PC using
Xinerama mode in XFree86. However the image that appears on the Linux
displays is incorrect. Instead of three different images, we get the
image on "display 0" repeated on all three displays.

Not sure this is an xloadimage problem or a problem with the
window manager or XFree86 server.

Version-Release number of selected component (if applicable):


How Reproducible:
Our current system has three files,
 station.gif
 modlogo.gif
 dtlogo.gif
which are loaded with the following command line...
xloadimage -onroot -at 1280,1 -gamma .75 -border black \
 -yzoom 102 station.gif -merge -onroot -at 2684,53 \
 modlogo.gif -merge -onroot -at 108,35 dtlogo.gif
The DT logo appears on the left, station on the center, and MOD logo
on the right for the current system. On the Linux PC,
the picture in "modlogo.gif" appears on all three displays.

Steps to Reproduce:
1. Configure a multihead system with Xinerama enabled.
2. Pick a different image per display & run an xloadimage command
similar to that above.
3. View the results

Actual Results:
The image located in the "upper left" of the composite display is
repeated on all displays.

Expected Results:
A different image appears on each display per the command line.

Additional Information:
For reference, the system we are using reports a display size of
3840x1024. [3 side by side 1280x1024 displays, 24 bit color]

The messages from xloadimage were...
station.gif is a 1280x1024 GIF image with 128 colors
 Compressing color map...89 unique colors
 Zooming Y axis by 102%...done
 Adjusting colormap for display gamma 0.75...done
 Merging...done
modlogo.gif is a 1006x904 GIF image with 128 colors
 Compressing color map...no improvement
 Zooming Y axis by 102%...done
 Adjusting colormap for display gamma 0.75...done
 Merging...done
dtlogo.gif is a 1024x939 GIF image with 128 colors
 Compressing color map...no improvement
 Zooming Y axis by 102%...done
 Adjusting colormap for display gamma 0.75...done
 Merging...done
building XImage...done
Comment 1 Mark H Johnson 2001-10-12 12:42:32 EDT
Oops. A slight mistake. Under "how reproducable", the dtlogo.gif appears
on all three displays.
Comment 2 Mark H Johnson 2002-04-05 11:28:25 EST
We tried again with "skipjack" - the root display is created as expected.

Please close.

Note You need to log in before you can comment on or make changes to this bug.